package nsdb.NucFeaturePackage;
final public class QualifierHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.NucFeaturePackage.Qualifier value;

	public QualifierHolder ()
	{
	}
	public QualifierHolder (nsdb.NucFeaturePackage.Qualifier initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return nsdb.NucFeaturePackage.QualifierHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = nsdb.NucFeaturePackage.QualifierHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		nsdb.NucFeaturePackage.QualifierHelper.write(_out,value);
	}
}
